Skip to main content

Documentation Index

Fetch the complete documentation index at: https://mintlify.com/mixpanel/docs/llms.txt

Use this file to discover all available pages before exploring further.

Data Pipeline Schemas

Configure and manage schematized data exports to warehouses like BigQuery, Snowflake, and more.

List Pipelines

Get all pipelines configured for a project.
project_id
number
required
Your Mixpanel project ID

Example Request

curl "https://data.mixpanel.com/api/2.0/nessie/pipeline/jobs?project_id=123" \
  -u SERVICE_ACCOUNT_USERNAME:SERVICE_ACCOUNT_SECRET

Create BigQuery Pipeline

Export data to Google BigQuery with automatic schema management.
project_id
number
required
Your Mixpanel project ID
type
string
required
Pipeline type: bigquery
schema_type
string
Schema organization: monoschema (all events in one table) or multischema (each event in its own table)Default: monoschema
data_source
string
What to export: events or peopleDefault: events
sync
boolean
Enable automatic sync to update exported data when changes occurDefault: true
from_date
string
required
Start date in YYYY-MM-DD format
to_date
string
End date in YYYY-MM-DD format (leave empty for continuous export)
frequency
string
Export frequency: hourly or dailyDefault: daily
bq_region
string
required
BigQuery region: US, EU, ASIA_EAST_1, etc.
gcp_project
string
Your GCP project ID (if using your own BigQuery)
bq_dataset_name
string
Dataset name in your BigQuery project

Example Request

curl "https://data.mixpanel.com/api/2.0/nessie/pipeline/create" \
  -X POST \
  -u SERVICE_ACCOUNT_USERNAME:SERVICE_ACCOUNT_SECRET \
  -H "Content-Type: application/x-www-form-urlencoded" \
  -d "project_id=123" \
  -d "type=bigquery" \
  -d "schema_type=monoschema" \
  -d "data_source=events" \
  -d "sync=true" \
  -d "from_date=2024-01-01" \
  -d "frequency=daily" \
  -d "bq_region=US"

Create Snowflake Pipeline

Export data to Snowflake.
type
string
required
Pipeline type: snowflake
snowflake_share_with
string
required
Snowflake account name to share data with
region
string
required
Snowflake region: us-west-aws, us-east-aws, eu-west-1-aws, etc.
snowflake_prefix
string
Prefix for created views and tables

Example Request

curl "https://data.mixpanel.com/api/2.0/nessie/pipeline/create" \
  -X POST \
  -u SERVICE_ACCOUNT_USERNAME:SERVICE_ACCOUNT_SECRET \
  -d "project_id=123" \
  -d "type=snowflake" \
  -d "schema_type=monoschema" \
  -d "data_source=events" \
  -d "sync=true" \
  -d "from_date=2024-01-01" \
  -d "snowflake_share_with=mysnowflakeaccount" \
  -d "region=us-west-aws"

Pause Pipeline

Pause a running pipeline.
name
string
required
The pipeline name
project_id
number
Your Mixpanel project ID

Example Request

curl "https://data.mixpanel.com/api/2.0/nessie/pipeline/pause" \
  -X POST \
  -u SERVICE_ACCOUNT_USERNAME:SERVICE_ACCOUNT_SECRET \
  -d "name=trial-events-daily-bigquery-monoschema" \
  -d "project_id=123"

Resume Pipeline

Resume a paused pipeline.
curl "https://data.mixpanel.com/api/2.0/nessie/pipeline/resume" \
  -X POST \
  -u SERVICE_ACCOUNT_USERNAME:SERVICE_ACCOUNT_SECRET \
  -d "name=trial-events-daily-bigquery-monoschema" \
  -d "project_id=123"

Delete Pipeline

Delete a pipeline and optionally its exported data.
Deleting a pipeline will stop all future exports and may delete historical data.
curl "https://data.mixpanel.com/api/2.0/nessie/pipeline/cancel" \
  -X POST \
  -u SERVICE_ACCOUNT_USERNAME:SERVICE_ACCOUNT_SECRET \
  -d "name=trial-events-daily-bigquery-monoschema" \
  -d "project_id=123"